Bug 1023403 - [RHEVM][backend] null pointer exception on assigning empty profile to running VM
[RHEVM][backend] null pointer exception on assigning empty profile to running VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
high Severity urgent
: ---
: 3.3.0
Assigned To: Moti Asayag
Meni Yakove
network
:
Depends On: 1017602
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 07:07 EDT by Martin Pavlik
Modified: 2016-02-10 14:49 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log_collector (9.23 MB, application/x-xz)
2013-10-25 07:07 EDT, Martin Pavlik
no flags Details
screenshot 1 (183.91 KB, image/png)
2013-10-25 07:09 EDT, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20424 None None None Never

  None (edit)
Description Martin Pavlik 2013-10-25 07:07:48 EDT
Created attachment 816091 [details]
log_collector

Description of problem:

When <Empty> profile is assigned to vNIC on running VM following error appears in GUI

Error while executing action:

F19:

    General command validation failure.


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.28.beta1.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. run VM with vNIC which has some profile assigned
2. switch profile on vNIC to <Empty>
3.

Actual results:
error on assigning <Empty> profile to vNIC

Expected results:
<Empty> profile assigned to vNIC

Additional info:

2013-10-25 12:46:52,388 ERROR [org.ovirt.engine.core.bll.network.vm.UpdateVmInterfaceCommand] (ajp-/127.0.0.1:8702-3) Error during CanDoActionFailure.: java.lang.NullPointerException
	at org.ovirt.engine.core.bll.network.vm.UpdateVmInterfaceCommand$UpdateVmNicValidator.hotUpdatePossible(UpdateVmInterfaceCommand.java:317) [bll.jar:]
	at org.ovirt.engine.core.bll.network.vm.UpdateVmInterfaceCommand.canDoAction(UpdateVmInterfaceCommand.java:205) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.internalCanDoAction(CommandBase.java:745) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:360) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:416) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:395) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.RunAction(Backend.java:353) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor130.invoke(Unknown Source) [:1.7.0_40]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_40]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_40]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.3.0.Final-redhat-6]
Comment 1 Martin Pavlik 2013-10-25 07:09:39 EDT
Created attachment 816092 [details]
screenshot 1
Comment 2 Moti Asayag 2013-10-27 04:36:38 EDT
The current bug was fixed as part of solving bug 1011116 .

Marting, could you verify this scenario with the latest build in which the fix for bug 1011116 is included ?
Comment 3 Martin Pavlik 2013-10-29 04:32:59 EDT
bug 1011116 was fixed and verified in is19
this bug was found in is20, I tested this on 2 independent environments to verify it just now
Comment 4 Moti Asayag 2013-10-29 05:03:42 EDT
(In reply to Martin Pavlik from comment #3)
> bug 1011116 was fixed and verified in is19
> this bug was found in is20, I tested this on 2 independent environments to
> verify it just now

Apologies, I got confused with Bug 1017602 (that fixes this issue) which is still on MODIFIED and should be included in the next build.
Comment 5 Meni Yakove 2013-11-10 08:59:34 EST
rhevm-3.3.0-0.32.beta1.el6ev.noarch
Comment 6 Itamar Heim 2014-01-21 17:11:44 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.